This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 477864 - nfs-utils: missing tcp_wrappers support in Fedora 9 and 10
nfs-utils: missing tcp_wrappers support in Fedora 9 and 10
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-24 08:55 EST by Steve Dickson
Modified: 2009-02-24 16:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-14 21:50:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Proposed Fedora 9 and 10 patch (7.21 KB, patch)
2008-12-24 08:58 EST, Steve Dickson
no flags Details | Diff

  None (edit)
Description Steve Dickson 2008-12-24 08:55:09 EST
nfs-utils as built in Fedora 9 and 10 is not built with TCP wrappers
support.

This means that anyone trying to protect their NFS service via TCP wrappers will
not be protected as they would expect.

Also the code that will be enabled does not work when hostnames 
are added to /etc/hosts.deny. The code only works with IP address.




-
Comment 1 Steve Dickson 2008-12-24 08:58:45 EST
Created attachment 327813 [details]
Proposed Fedora 9 and 10 patch
Comment 2 Fedora Update System 2009-01-06 14:45:34 EST
nfs-utils-1.1.4-6.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/nfs-utils-1.1.4-6.fc10
Comment 3 Fedora Update System 2009-01-06 14:56:18 EST
nfs-utils-1.1.2-9.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/nfs-utils-1.1.2-9.fc9
Comment 4 Fedora Update System 2009-01-07 16:53:20 EST
nfs-utils-1.1.4-6.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nfs-utils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0266
Comment 5 Fedora Update System 2009-01-07 16:53:25 EST
nfs-utils-1.1.2-9.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update nfs-utils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0297
Comment 6 Fedora Update System 2009-01-14 21:50:16 EST
nfs-utils-1.1.4-6.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-01-14 22:04:52 EST
nfs-utils-1.1.2-9.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Josh Bressers 2009-02-24 16:08:04 EST
MITRE has assigned this bug CVE-2009-0180.  It's really the same as CVE-2008-1376.

Note You need to log in before you can comment on or make changes to this bug.